{ stdenv, fetchgit, python3Packages, nmigen, git }:

python3Packages.buildPythonPackage {
  name = "nmigen-boards";
  version = "2019-10-13";

  src = fetchgit {
    url = "https://github.com/m-labs/nmigen-boards";
    rev = "835c175d7cf9d143aea2c7dbc0c870ede655cfc2";
    sha256 = "1v0bsy5ccikxmxmsmgq2s14g4dy0df8ka2s6av49833zigjrvh12";
    leaveDotGit = true;
  };

  nativeBuildInputs = [ python3Packages.setuptools_scm git ];
  propagatedBuildInputs = [ nmigen ];

  meta = with stdenv.lib; {
    description = "Board and connector definition files for nMigen";
    homepage    = "https://m-labs.hk";
    license     = licenses.bsd2;
    maintainers = [ maintainers.sb0 ];
  };
}
